package elf

// Padding calculates the padding needed to align `n` bytes with the specified alignment.
func Padding[T int | int32 | int64 | uint | uint32 | uint64](n T, align T) T {
	return align - (n % align)
}
